Bug 177146 - [PATCH] graphics/mhgui: Convert to OptionsNg
Summary: [PATCH] graphics/mhgui: Convert to OptionsNg
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-20 16:50 UTC by nemysis
Modified: 2013-05-23 04:40 UTC (History)
1 user (show)

See Also:


Attachments
mhgui-0.2_6.patch (1.86 KB, patch)
2013-03-20 16:50 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2013-03-20 16:50:02 UTC
No more leftover /usr/local/share/doc/mhgui
with with NOPORTDOCS=yes in /etc/make.conf

Port maintainer (amdmi3@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-03-20 16:50:19 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Dmitry Marakasov freebsd_committer 2013-05-23 04:30:37 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 3 dfilter service freebsd_committer 2013-05-23 04:30:44 UTC
Author: amdmi3
Date: Thu May 23 03:30:30 2013
New Revision: 318835
URL: http://svnweb.freebsd.org/changeset/ports/318835

Log:
  - Trim Makefile header
  - OptionsNG
  - Add LICENSE
  - Switch to USE_PKGCONFIG
  
  PR:		177146
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/graphics/animorph/Makefile
  head/graphics/mhgui/Makefile

Modified: head/graphics/animorph/Makefile
==============================================================================
--- head/graphics/animorph/Makefile	Thu May 23 03:28:55 2013	(r318834)
+++ head/graphics/animorph/Makefile	Thu May 23 03:30:30 2013	(r318835)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	animorph
-# Date created:		31 Mar 2007
-# Whom:			Dmitry Marakasov <amdmi3@amdmi3.ru>
-#
+# Created by: Dmitry Marakasov <amdmi3@amdmi3.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	animorph
 PORTVERSION=	0.3
@@ -13,22 +9,24 @@ MASTER_SITES=	SF/makehuman/MakeHuman%20S
 MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	Morphing engine for MakeHuman
 
+LICENSE=	LGPL21
+
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	build
 USE_LDCONFIG=	yes
 
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-.if !defined(NOPORTDOCS)
 PORTDOCS=	*
-.endif
+
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^libanimorphdocdir =/ s|doc/|share/doc/|' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e '/^pkgconfigdir =/ s|\$$(libdir)|\$$(exec_prefix)/libdata|' ${WRKSRC}/Makefile.in
-.if defined(NOPORTDOCS)
+.if ! ${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -e '/^install-data-am:/ s|install-libanimorphdocDATA||' ${WRKSRC}/Makefile.in
 .endif
 

Modified: head/graphics/mhgui/Makefile
==============================================================================
--- head/graphics/mhgui/Makefile	Thu May 23 03:28:55 2013	(r318834)
+++ head/graphics/mhgui/Makefile	Thu May 23 03:30:30 2013	(r318835)
@@ -1,9 +1,5 @@
-# New ports collection makefile for:	mhgui
-# Date created:		31 Mar 2007
-# Whom:			Dmitry Marakasov <amdmi3@amdmi3.ru>
-#
+# Created by: Dmitry Marakasov <amdmi3@amdmi3.ru>
 # $FreeBSD$
-#
 
 PORTNAME=	mhgui
 PORTVERSION=	0.2
@@ -14,12 +10,14 @@ MASTER_SITES=	SF/makehuman/MakeHuman%20S
 MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	GUI widget library for MakeHuman
 
+LICENSE=	GPLv2
+
 LIB_DEPENDS=	animorph.0:${PORTSDIR}/graphics/animorph \
 		png15:${PORTSDIR}/graphics/png
 
 GNU_CONFIGURE=	yes
 USE_GMAKE=	yes
-USE_GNOME=	pkgconfig
+USE_PKGCONFIG=	build
 USE_LDCONFIG=	yes
 USE_XORG=	xi xmu ice sm
 USE_GL=		glut
@@ -27,14 +25,14 @@ USE_GL=		glut
 CPPFLAGS+=	-I${LOCALBASE}/include
 LDFLAGS+=	-L${LOCALBASE}/lib
 
-.if !defined(NOPORTDOCS)
 PORTDOCS=	*
-.endif
+
+.include <bsd.port.options.mk>
 
 post-patch:
 	@${REINPLACE_CMD} -e '/^libmhguidocdir =/ s|doc/|share/doc/|' ${WRKSRC}/Makefile.in
 	@${REINPLACE_CMD} -e '/^pkgconfigdir =/ s|\$$(libdir)|\$$(exec_prefix)/libdata|' ${WRKSRC}/Makefile.in
-.if defined(NOPORTDOCS)
+.if ! ${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -e '/^install-data-am:/ s|install-libmhguidocDATA||' ${WRKSRC}/Makefile.in
 .endif
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"